#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 enclosed-exceptions
version:              1.0.3
visibility:           public
id:                   enclosed-exceptions-1.0.3-7xKDCzSIxnYJULTojJsU6c
key:                  enclosed-exceptions-1.0.3-7xKDCzSIxnYJULTojJsU6c
license:              MIT
maintainer:           jmacristovao@gmail.com, michael@snoyman.com
author:               Michael Snoyman, João Cristóvão
homepage:             https://github.com/jcristovao/enclosed-exceptions
synopsis:             Catching all exceptions from within an enclosed computation
description:
    Catching all exceptions raised within an enclosed computation,
    while remaining responsive to (external) asynchronous exceptions.
    For more information on the technique, please see:
    <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>

category:             Control
abi:                  151a3b69fc015e8ad9e8467a941d8900
exposed:              True
exposed-modules:      Control.Exception.Enclosed
import-dirs:          /usr/lib/ghc-8.10.3/site-local/enclosed-exceptions-1.0.3
library-dirs:         /usr/lib/ghc-8.10.3/site-local/enclosed-exceptions-1.0.3
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.3/enclosed-exceptions-1.0.3

hs-libraries:         HSenclosed-exceptions-1.0.3-7xKDCzSIxnYJULTojJsU6c
depends:
    base-4.14.1.0 deepseq-1.4.4.0
    lifted-base-0.2.3.12-BJjqoSbUoA5B3DIxW911Ia
    monad-control-1.0.2.3-GmNpXr5ErTP4E0JHQ2AzJN transformers-0.5.6.2
    transformers-base-0.4.5.2-KeRaHd5v24q6LBXJCtFiQC

haddock-interfaces:
    /usr/share/doc/haskell-enclosed-exceptions/html/enclosed-exceptions.haddock

haddock-html:         /usr/share/doc/haskell-enclosed-exceptions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

